Package org.tmatesoft.svn.core.wc

# Class SVNCommitPacket

java.lang.Object
org.tmatesoft.svn.core.wc.SVNCommitPacket

public class SVNCommitPacket extends Object
The SVNCommitPacket is a storage for SVNCommitItem objects which represent information on versioned items intended for being committed to a repository.

Used by `SVNCommitClient` to collect and hold information on paths that are to be committed. Each `SVNCommitPacket` is committed in a single transaction.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `SVNCommitItem`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SVNCommitPacket`
`EMPTY`
This constant denotes an empty commit items storage (contains no `SVNCommitItem` objects).

## Constructor Summary

Constructors
Constructor
Description
`SVNCommitPacket(org.tmatesoft.svn.core.internal.wc.admin.SVNWCAccess wcAccess, SVNCommitItem[] items, Map lockTokens)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes the current object.
`protected SVNCommitItem[]`
`filterSkippedItemsAndLockTokens(Collection<SVNCommitItem> items, Map<String,?> lockTokens)`
`SVNCommitItem[]`
`getCommitItems()`
Gets an array of SVNCommitItem objects stored in this object.
`Map`
`getLockTokens()`
`boolean`
`isCommitItemSkipped(SVNCommitItem item)`
Determines if an item intended for a commit is set to be skipped - that is not to be committed.
`boolean`
`isDisposed()`
Determines if this object is disposed.
`SVNCommitPacket`
`removeSkippedItems()`
`void`
`setCommitItemSkipped(SVNCommitItem item, boolean skipped)`
Sets or unsets a versioned item to be skipped - whether or not it should be committed.
`String`
`toString()`
Gives a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY

public static final SVNCommitPacket EMPTY
This constant denotes an empty commit items storage (contains no `SVNCommitItem` objects).

## Constructor Details

### SVNCommitPacket

public SVNCommitPacket(org.tmatesoft.svn.core.internal.wc.admin.SVNWCAccess wcAccess, SVNCommitItem[] items, Map lockTokens)

## Method Details

### getCommitItems

public SVNCommitItem[] getCommitItems()
Gets an array of SVNCommitItem objects stored in this object.

Returns:
  an array of SVNCommitItem objects containing info of versioned items to be committed

### setCommitItemSkipped

public void setCommitItemSkipped(SVNCommitItem item, boolean skipped)
Sets or unsets a versioned item to be skipped - whether or not it should be committed.

Parameters:
  `item` - an item that should be marked skipped
  `skipped` - if true the item is set to be skipped (a commit operation should skip the item), otherwise - unskipped if it was previously marked skipped
See Also:
  - `isCommitItemSkipped(SVNCommitItem)`

### isCommitItemSkipped

public boolean isCommitItemSkipped(SVNCommitItem item)
Determines if an item intended for a commit is set to be skipped - that is not to be committed.

Parameters:
  `item` - an item to check
Returns:
  true if the item is set to be skipped, otherwise false
See Also:
  - `setCommitItemSkipped(SVNCommitItem, boolean)`

### isDisposed

public boolean isDisposed()
Determines if this object is disposed.

Returns:
  true if disposed otherwise false

### dispose

public void dispose() throws SVNException
Disposes the current object.

Throws:
  `SVNException`

### getLockTokens

public Map getLockTokens()

### removeSkippedItems

public SVNCommitPacket removeSkippedItems()

### toString

public String toString()
Gives a string representation of this object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representing this object.

### filterSkippedItemsAndLockTokens

protected SVNCommitItem[] filterSkippedItemsAndLockTokens(Collection<SVNCommitItem> items, Map<String,?> lockTokens)